## ustreamer 3.12

=== pkg/openwrt/Makefile ===
#
# This is free software, licensed under the GNU General Public License v2.
# See /LICENSE for more information.
#

include $(TOPDIR)/rules.mk

PKG_NAME:=ustreamer
PKG_VERSION:=3.12
PKG_RELEASE:=1
PKG_MAINTAINER:=Maxim Devaev <mdevaev@gmail.com>

PKG_SOURCE_PROTO:=git
PKG_SOURCE_URL:=https://github.com/pikvm/ustreamer.git
PKG_SOURCE_VERSION:=v$(PKG_VERSION)
PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.xz
PKG_SOURCE_SUBDIR:=$(PKG_NAME)-$(PKG_VERSION)

PKG_LICENSE:=GPL-3.0
PKG_LICENSE_FILES:=LICENSE

include $(INCLUDE_DIR)/package.mk

define Package/ustreamer
  SECTION:=multimedia
  CATEGORY:=Multimedia
  TITLE:=uStreamer
  DEPENDS:=+libpthread +libjpeg +libv4l +libuuid +libbsd +libevent2 +libevent2-core +libevent2-extra +libevent2-pthreads
  URL:=https://github.com/pikvm/ustreamer
endef

define Package/ustreamer/description
 µStreamer - Lightweight and fast MJPG-HTTP streamer
endef

define Package/ustreamer/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/ustreamer $(1)/usr/bin/
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/ustreamer-dump $(1)/usr/bin/
	$(INSTALL_DIR) $(1)/etc/config
	$(CP) ./files/ustreamer.config $(1)/etc/config/ustreamer
	$(INSTALL_DIR) $(1)/etc/init.d
	$(INSTALL_BIN) ./files/ustreamer.init $(1)/etc/init.d/ustreamer
endef

$(eval $(call BuildPackage,ustreamer))

=== debian/changelog ===
ustreamer (3.12-1) unstable; urgency=medium

  * Initial release (Closes: #976232)

 -- Sam Reed <sam@reedyboy.net>  Fri, 22 Jan 2021 01:40:38 +0000

## ustreamer 3.16

=== Makefile ===
-include config.mk

USTR ?= ustreamer
DUMP ?= ustreamer-dump
DESTDIR ?=
PREFIX ?= /usr/local
MANPREFIX ?= $(PREFIX)/share/man

CC ?= gcc
PY ?= python3
CFLAGS ?= -O3
LDFLAGS ?=

RPI_VC_HEADERS ?= /opt/vc/include
RPI_VC_LIBS ?= /opt/vc/lib

BUILD ?= build

LINTERS_IMAGE ?= $(USTR)-linters


# =====
_CFLAGS = -MD -c -std=c11 -Wall -Wextra -D_GNU_SOURCE $(CFLAGS)
_LDFLAGS = $(LDFLAGS)

_COMMON_LIBS = -lm -ljpeg -pthread -lrt

_USTR_LIBS = $(_COMMON_LIBS) -levent -levent_pthreads -luuid
_USTR_SRCS = $(shell ls \
	src/libs/*.c \
	src/ustreamer/*.c \
	src/ustreamer/http/*.c \
	src/ustreamer/data/*.c \
	src/ustreamer/encoders/cpu/*.c \
	src/ustreamer/encoders/hw/*.c \
)

_DUMP_LIBS = $(_COMMON_LIBS)
_DUMP_SRCS = $(shell ls \
	src/libs/*.c \
	src/dump/*.c \
)


define optbool
$(filter $(shell echo $(1) | tr A-Z a-z), yes on 1)
endef


ifneq ($(call optbool,$(WITH_OMX)),)
_USTR_LIBS += -lbcm_host -lvcos -lvcsm -lopenmaxil -lmmal -lmmal_core -lmmal_util -lmmal_vc_client -lmmal_components -L$(RPI_VC_LIBS)
override _CFLAGS += -DWITH_OMX -DOMX_SKIP64BIT -I$(RPI_VC_HEADERS)
_USTR_SRCS += $(shell ls \
	src/ustreamer/encoders/omx/*.c \
	src/ustreamer/h264/*.c \
)
endif


ifneq ($(call optbool,$(WITH_GPIO)),)
_USTR_LIBS += -lgpiod
override _CFLAGS += -DWITH_GPIO
_USTR_SRCS += $(shell ls src/ustreamer/gpio/*.c)
endif


WITH_PTHREAD_NP ?= 1
ifneq ($(call optbool,$(WITH_PTHREAD_NP)),)
override _CFLAGS += -DWITH_PTHREAD_NP
endif


WITH_SETPROCTITLE ?= 1
ifneq ($(call optbool,$(WITH_SETPROCTITLE)),)
ifeq ($(shell uname -s | tr A-Z a-z),linux)
_USTR_LIBS += -lbsd
endif
override _CFLAGS += -DWITH_SETPROCTITLE
endif


# =====
all: $(USTR) $(DUMP) python


install: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(MANPREFIX)/man1
	install -m755 $(USTR) $(DESTDIR)$(PREFIX)/bin/$(USTR)
	install -m755 $(DUMP) $(DESTDIR)$(PREFIX)/bin/$(DUMP)
	install -m644 man/$(USTR).1 $(DESTDIR)$(MANPREFIX)/man1/$(USTR).1
	install -m644 man/$(DUMP).1 $(DESTDIR)$(MANPREFIX)/man1/$(DUMP).1
	gzip -f $(DESTDIR)$(MANPREFIX)/man1/$(USTR).1
	gzip -f $(DESTDIR)$(MANPREFIX)/man1/$(DUMP).1
ifneq ($(call optbool,$(WITH_PYTHON)),)
	cd python && $(PY) setup.py install --prefix=$(PREFIX) --root=$(if $(DESTDIR),$(DESTDIR),/)
endif


install-strip: install
	strip $(DESTDIR)$(PREFIX)/bin/$(USTR)
	strip $(DESTDIR)$(PREFIX)/bin/$(DUMP)


regen:
	tools/make-jpeg-h.py src/ustreamer/data/blank.jpeg src/ustreamer/data/blank_jpeg.c BLANK
	tools/make-html-h.py src/ustreamer/data/index.html src/ustreamer/data/index_html.c INDEX


$(USTR): $(_USTR_SRCS:%.c=$(BUILD)/%.o)
#	$(info ========================================)
	$(info == LD $@)
	@ $(CC) $^ -o $@ $(_LDFLAGS) $(_USTR_LIBS)
#	$(info :: CC      = $(CC))
#	$(info :: LIBS    = $(_USTR_LIBS))
#	$(info :: CFLAGS  = $(_CFLAGS))
#	$(info :: LDFLAGS = $(_LDFLAGS))


$(DUMP): $(_DUMP_SRCS:%.c=$(BUILD)/%.o)
#	$(info ========================================)
	$(info == LD $@)
	@ $(CC) $^ -o $@ $(_LDFLAGS) $(_DUMP_LIBS)
#	$(info :: CC      = $(CC))
#	$(info :: LIBS    = $(_DUMP_LIBS))
#	$(info :: CFLAGS  = $(_CFLAGS))
#	$(info :: LDFLAGS = $(_LDFLAGS))


$(BUILD)/%.o: %.c
	$(info -- CC $<)
	@ mkdir -p $(dir $@) || true
	@ $(CC) $< -o $@ $(_CFLAGS)


python:
ifneq ($(call optbool,$(WITH_PYTHON)),)
	$(info == PY_BUILD ustreamer-*.so)
	@ cd python && $(PY) setup.py build
	@ ln -sf python/build/lib.*/*.so .
else
	@ true
endif

release:
	make clean
	make tox
	make push
	make bump V=$(V)
	make push
	make clean


tox: linters
	time docker run --rm \
			--volume `pwd`:/src:ro \
			--volume `pwd`/linters:/src/linters:rw \
		-t $(LINTERS_IMAGE) bash -c " \
			cd /src \
			&& tox -q -c linters/tox.ini $(if $(E),-e $(E),-p auto) \
		"


linters:
	docker build \
			$(if $(call optbool,$(NC)),--no-cache,) \
			--rm \
			--tag $(LINTERS_IMAGE) \
		-f linters/Dockerfile linters


bump:
	bumpversion $(if $(V),$(V),minor)


push:
	git push
	git push --tags


clean-all: linters clean
	- docker run --rm \
			--volume `pwd`:/src \
		-it $(LINTERS_IMAGE) bash -c "cd src && rm -rf linters/{.tox,.mypy_cache}"
clean:
	rm -rf pkg/arch/pkg pkg/arch/src pkg/arch/v*.tar.gz pkg/arch/ustreamer-*.pkg.tar.{xz,zst}
	rm -rf $(USTR) $(DUMP) $(BUILD) python/build vgcore.* *.sock *.so


.PHONY: python linters


_OBJS = $(_USTR_SRCS:%.c=$(BUILD)/%.o) $(_DUMP_SRCS:%.c=$(BUILD)/%.o)
-include $(_OBJS:%.o=%.d)

=== pkg/openwrt/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=ustreamer
-PKG_VERSION:=3.12
+PKG_VERSION:=3.16
 PKG_RELEASE:=1
 PKG_MAINTAINER:=Maxim Devaev <mdevaev@gmail.com>

=== debian/changelog ===
ustreamer (3.16-1) unstable; urgency=medium

  * New upstream 3.16

 -- Sam Reed <sam@reedyboy.net>  Fri, 05 Feb 2021 01:35:41 +0000

=== debian/control ===
Source: ustreamer
Section: video
Priority: optional
Maintainer: Sam Reed <sam@reedyboy.net>
Build-Depends: debhelper-compat (= 12),
  libevent-dev,
  libjpeg62-turbo-dev,
  uuid-dev,
  libbsd-dev
Standards-Version: 4.5.1
Homepage: https://pikvm.org/
Vcs-Browser: https://salsa.debian.org/reedy/ustreamer
Vcs-Git: https://salsa.debian.org/reedy/ustreamer.git
Rules-Requires-Root: no

Package: ustreamer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight and fast MJPG-HTTP streamer
 µStreamer is a lightweight and very quick server to stream MJPG video
 from any V4L2 device to the network. All new browsers have native
 support of this video format, as well as most video players such as
 mplayer, VLC etc. µStreamer is a part of the Pi-KVM project designed to
 stream VGA and HDMI screencast hardware data with the highest resolution
 and FPS possible.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_usrlocal:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ustreamer-$1\.tar\.gz/ \
  https://github.com/pikvm/ustreamer/tags .*/v?(\d\S+)\.tar\.gz

## ustreamer 3.25

=== Makefile ===
-include config.mk

DESTDIR ?=
PREFIX ?= /usr/local
MANPREFIX ?= $(PREFIX)/share/man

CC ?= gcc
PY ?= python3
CFLAGS ?= -O3
LDFLAGS ?=

RPI_VC_HEADERS ?= /opt/vc/include
RPI_VC_LIBS ?= /opt/vc/lib

export

_LINTERS_IMAGE ?= ustreamer-linters


# =====
define optbool
$(filter $(shell echo $(1) | tr A-Z a-z), yes on 1)
endef


# =====
all:
	+ $(MAKE) apps
ifneq ($(call optbool,$(WITH_PYTHON)),)
	+ $(MAKE) python
endif


apps:
	$(MAKE) -C src
	@ ln -sf src/ustreamer.bin ustreamer
	@ ln -sf src/ustreamer-dump.bin ustreamer-dump


python:
	$(MAKE) -C python
	@ ln -sf python/build/lib.*/*.so .


install: all
	$(MAKE) -C src install
ifneq ($(call optbool,$(WITH_PYTHON)),)
	$(MAKE) -C python install
endif
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	for man in $(shell ls man); do \
		install -m644 man/$$man $(DESTDIR)$(MANPREFIX)/man1/$$man; \
		gzip -f $(DESTDIR)$(MANPREFIX)/man1/$$man; \
	done


install-strip: install
	$(MAKE) -C src install-strip


regen:
	tools/$(MAKE)-jpeg-h.py src/ustreamer/data/blank.jpeg src/ustreamer/data/blank_jpeg.c BLANK
	tools/$(MAKE)-html-h.py src/ustreamer/data/index.html src/ustreamer/data/index_html.c INDEX


release:
	$(MAKE) clean
	$(MAKE) tox
	$(MAKE) push
	$(MAKE) bump V=$(V)
	$(MAKE) push
	$(MAKE) clean


tox: linters
	time docker run --rm \
			--volume `pwd`:/src:ro \
			--volume `pwd`/linters:/src/linters:rw \
		-t $(_LINTERS_IMAGE) bash -c " \
			cd /src \
			&& tox -q -c linters/tox.ini $(if $(E),-e $(E),-p auto) \
		"


linters:
	docker build \
			$(if $(call optbool,$(NC)),--no-cache,) \
			--rm \
			--tag $(_LINTERS_IMAGE) \
		-f linters/Dockerfile linters


bump:
	bumpversion $(if $(V),$(V),minor)


push:
	git push
	git push --tags


clean-all: linters clean
	- docker run --rm \
			--volume `pwd`:/src \
		-it $(_LINTERS_IMAGE) bash -c "cd src && rm -rf linters/{.tox,.mypy_cache}"


clean:
	rm -rf pkg/arch/pkg pkg/arch/src pkg/arch/v*.tar.gz pkg/arch/ustreamer-*.pkg.tar.{xz,zst}
	rm -f ustreamer ustreamer-dump *.so
	$(MAKE) -C src clean
	$(MAKE) -C python clean


.PHONY: python linters

=== pkg/openwrt/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=ustreamer
-PKG_VERSION:=3.16
+PKG_VERSION:=3.25
 PKG_RELEASE:=1
 PKG_MAINTAINER:=Maxim Devaev <mdevaev@gmail.com>
 
@@ -25,7 +25,7 @@
   SECTION:=multimedia
   CATEGORY:=Multimedia
   TITLE:=uStreamer
-  DEPENDS:=+libpthread +libjpeg +libv4l +libuuid +libbsd +libevent2 +libevent2-core +libevent2-extra +libevent2-pthreads
+  DEPENDS:=+libpthread +libjpeg +libv4l +libbsd +libevent2 +libevent2-core +libevent2-extra +libevent2-pthreads
   URL:=https://github.com/pikvm/ustreamer
 endef

## ustreamer 4.9

=== python/Makefile ===
-include ../config.mk

DESTDIR ?=
PREFIX ?= /usr/local

PY ?= python3


# =====
all:
	$(info == PY_BUILD ustreamer-*.so)
	@ $(PY) setup.py build


install:
	$(PY) setup.py install --prefix=$(PREFIX) --root=$(if $(DESTDIR),$(DESTDIR),/)


clean:
	rm -rf build

=== src/Makefile ===
DESTDIR ?=
PREFIX ?= /usr/local

CC ?= gcc
CFLAGS ?= -O3
LDFLAGS ?=

RPI_VC_HEADERS ?= /opt/vc/include
RPI_VC_LIBS ?= /opt/vc/lib


# =====
_USTR = ustreamer.bin
_DUMP = ustreamer-dump.bin

_CFLAGS = -MD -c -std=c11 -Wall -Wextra -D_GNU_SOURCE $(CFLAGS)
_LDFLAGS = $(LDFLAGS)

_COMMON_LIBS = -lm -ljpeg -pthread -lrt

_USTR_LIBS = $(_COMMON_LIBS) -levent -levent_pthreads
_USTR_SRCS = $(shell ls \
	libs/*.c \
	ustreamer/*.c \
	ustreamer/http/*.c \
	ustreamer/data/*.c \
	ustreamer/encoders/cpu/*.c \
	ustreamer/encoders/hw/*.c \
)

_DUMP_LIBS = $(_COMMON_LIBS)
_DUMP_SRCS = $(shell ls \
	libs/*.c \
	dump/*.c \
)

_BUILD = build


define optbool
$(filter $(shell echo $(1) | tr A-Z a-z), yes on 1)
endef


ifneq ($(call optbool,$(WITH_OMX)),)
_USTR_LIBS += -lbcm_host -lvcos -lvcsm -lopenmaxil -lmmal -lmmal_core -lmmal_util -lmmal_vc_client -lmmal_components -L$(RPI_VC_LIBS)
override _CFLAGS += -DWITH_OMX -DOMX_SKIP64BIT -I$(RPI_VC_HEADERS)
_USTR_SRCS += $(shell ls \
	ustreamer/encoders/omx/*.c \
	ustreamer/h264/*.c \
)
endif


ifneq ($(call optbool,$(WITH_GPIO)),)
_USTR_LIBS += -lgpiod
override _CFLAGS += -DWITH_GPIO
_USTR_SRCS += $(shell ls ustreamer/gpio/*.c)
endif


WITH_PTHREAD_NP ?= 1
ifneq ($(call optbool,$(WITH_PTHREAD_NP)),)
override _CFLAGS += -DWITH_PTHREAD_NP
endif


WITH_SETPROCTITLE ?= 1
ifneq ($(call optbool,$(WITH_SETPROCTITLE)),)
ifeq ($(shell uname -s | tr A-Z a-z),linux)
_USTR_LIBS += -lbsd
endif
override _CFLAGS += -DWITH_SETPROCTITLE
endif


# =====
all: $(_USTR) $(_DUMP)


install: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -m755 $(_USTR) $(DESTDIR)$(PREFIX)/bin/$(subst .bin,,$(_USTR))
	install -m755 $(_DUMP) $(DESTDIR)$(PREFIX)/bin/$(subst .bin,,$(_DUMP))


install-strip: install
	strip $(DESTDIR)$(PREFIX)/bin/$(subst .bin,,$(_USTR))
	strip $(DESTDIR)$(PREFIX)/bin/$(subst .bin,,$(_DUMP))


$(_USTR): $(_USTR_SRCS:%.c=$(_BUILD)/%.o)
	$(info == LD $@)
	@ $(CC) $^ -o $@ $(_LDFLAGS) $(_USTR_LIBS)


$(_DUMP): $(_DUMP_SRCS:%.c=$(_BUILD)/%.o)
	$(info == LD $@)
	@ $(CC) $^ -o $@ $(_LDFLAGS) $(_DUMP_LIBS)


$(_BUILD)/%.o: %.c
	$(info -- CC $<)
	@ mkdir -p $(dir $@) || true
	@ $(CC) $< -o $@ $(_CFLAGS)


clean:
	rm -rf $(_USTR) $(_DUMP) $(_BUILD)


_OBJS = $(_USTR_SRCS:%.c=$(_BUILD)/%.o) $(_DUMP_SRCS:%.c=$(_BUILD)/%.o)
-include $(_OBJS:%.o=%.d)

=== pkg/openwrt/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=ustreamer
-PKG_VERSION:=3.25
+PKG_VERSION:=4.9
 PKG_RELEASE:=1
 PKG_MAINTAINER:=Maxim Devaev <mdevaev@gmail.com>

=== debian/changelog ===
ustreamer (4.9-1build1) kinetic; urgency=medium

  * No-change rebuild against libevent-2.1-7a (LP: #1990941)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 Oct 2022 19:59:10 +0200

ustreamer (4.9-1) unstable; urgency=medium

  * New upstream 4.9

 -- Sam Reed <sam@reedyboy.net>  Sun, 07 Nov 2021 03:02:46 +0000

ustreamer (3.27-1) experimental; urgency=medium

  * New upstream 3.27

 -- Sam Reed <sam@reedyboy.net>  Thu, 06 May 2021 00:37:36 +0100

ustreamer (3.25-1) experimental; urgency=medium

  * New upstream 3.25
  * Swap libjpeg62-turbo-dev for libjpeg-dev in Build-Depends
    (Closes: #985861)

 -- Sam Reed <sam@reedyboy.net>  Thu, 08 Apr 2021 22:53:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: ustreamer
 Section: video
 Priority: optional
-Maintainer: Sam Reed <sam@reedyboy.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sam Reed <sam@reedyboy.net>
 Build-Depends: debhelper-compat (= 12),
   libevent-dev,
-  libjpeg62-turbo-dev,
+  libjpeg-dev,
   uuid-dev,
   libbsd-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://pikvm.org/
 Vcs-Browser: https://salsa.debian.org/reedy/ustreamer
 Vcs-Git: https://salsa.debian.org/reedy/ustreamer.git

## ustreamer 5.4

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,9 @@
 ifneq ($(call optbool,$(WITH_PYTHON)),)
 	+ $(MAKE) python
 endif
+ifneq ($(call optbool,$(WITH_JANUS)),)
+	+ $(MAKE) janus
+endif
 
 
 apps:
@@ -42,10 +45,18 @@
 	@ ln -sf python/build/lib.*/*.so .
 
 
+janus:
+	$(MAKE) -C janus
+	@ ln -sf janus/*.so .
+
+
 install: all
 	$(MAKE) -C src install
 ifneq ($(call optbool,$(WITH_PYTHON)),)
 	$(MAKE) -C python install
+endif
+ifneq ($(call optbool,$(WITH_JANUS)),)
+	$(MAKE) -C janus install
 endif
 	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
 	for man in $(shell ls man); do \
@@ -110,6 +121,7 @@
 	rm -f ustreamer ustreamer-dump *.so
 	$(MAKE) -C src clean
 	$(MAKE) -C python clean
+	$(MAKE) -C janus clean
 
 
-.PHONY: python linters
+.PHONY: python janus linters

=== janus/Makefile ===
DESTDIR ?=
PREFIX ?= /usr/local

CC ?= gcc
CFLAGS ?= -O3
LDFLAGS ?=


# =====
_PLUGIN = libjanus_ustreamer.so

_CFLAGS = -fPIC -MD -c -std=c11 -Wall -Wextra -D_GNU_SOURCE $(shell pkg-config --cflags glib-2.0) $(CFLAGS)
_LDFLAGS = -shared -lm -pthread -lrt -ljansson $(shell pkg-config --libs glib-2.0) $(LDFLAGS)

_SRCS = $(shell ls src/*.c)

_BUILD = build


define optbool
$(filter $(shell echo $(1) | tr A-Z a-z), yes on 1)
endef


WITH_PTHREAD_NP ?= 1
ifneq ($(call optbool,$(WITH_PTHREAD_NP)),)
override _CFLAGS += -DWITH_PTHREAD_NP
endif


# =====
$(_PLUGIN): $(_SRCS:%.c=$(_BUILD)/%.o)
	$(info == SO $@)
	@ $(CC) $^ -o $@ $(_LDFLAGS)


$(_BUILD)/%.o: %.c
	$(info -- CC $<)
	@ mkdir -p $(dir $@) || true
	@ $(CC) $< -o $@ $(_CFLAGS)



install: $(_PLUGIN)
	mkdir -p $(DESTDIR)$(PREFIX)/lib/ustreamer/janus
	install -m755 $(_PLUGIN) $(DESTDIR)$(PREFIX)/lib/ustreamer/janus/$(PLUGIN)


clean:
	rm -rf $(_PLUGIN) $(_BUILD)


_OBJS = $(_SRCS:%.c=$(_BUILD)/%.o)
-include $(_OBJS:%.o=%.d)

=== src/Makefile ===
--- 
+++ 
@@ -4,9 +4,6 @@
 CC ?= gcc
 CFLAGS ?= -O3
 LDFLAGS ?=
-
-RPI_VC_HEADERS ?= /opt/vc/include
-RPI_VC_LIBS ?= /opt/vc/lib
 
 
 # =====
@@ -26,6 +23,7 @@
 	ustreamer/data/*.c \
 	ustreamer/encoders/cpu/*.c \
 	ustreamer/encoders/hw/*.c \
+	ustreamer/h264/*.c \
 )
 
 _DUMP_LIBS = $(_COMMON_LIBS)
@@ -42,20 +40,17 @@
 endef
 
 
-ifneq ($(call optbool,$(WITH_OMX)),)
-_USTR_LIBS += -lbcm_host -lvcos -lvcsm -lopenmaxil -lmmal -lmmal_core -lmmal_util -lmmal_vc_client -lmmal_components -L$(RPI_VC_LIBS)
-override _CFLAGS += -DWITH_OMX -DOMX_SKIP64BIT -I$(RPI_VC_HEADERS)
-_USTR_SRCS += $(shell ls \
-	ustreamer/encoders/omx/*.c \
-	ustreamer/h264/*.c \
-)
-endif
-
-
 ifneq ($(call optbool,$(WITH_GPIO)),)
 _USTR_LIBS += -lgpiod
 override _CFLAGS += -DWITH_GPIO
 _USTR_SRCS += $(shell ls ustreamer/gpio/*.c)
+endif
+
+
+ifneq ($(call optbool,$(WITH_SYSTEMD)),)
+_USTR_LIBS += -lsystemd
+override _CFLAGS += -DWITH_SYSTEMD
+_USTR_SRCS += $(shell ls ustreamer/http/systemd/*.c)
 endif

=== pkg/openwrt/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=ustreamer
-PKG_VERSION:=4.9
+PKG_VERSION:=5.4
 PKG_RELEASE:=1
 PKG_MAINTAINER:=Maxim Devaev <mdevaev@gmail.com>
 
@@ -30,7 +30,7 @@
 endef
 
 define Package/ustreamer/description
- µStreamer - Lightweight and fast MJPG-HTTP streamer
+ µStreamer - Lightweight and fast MJPEG-HTTP streamer
 endef
 
 define Package/ustreamer/install

=== debian/changelog ===
ustreamer (5.4-1) unstable; urgency=medium

  [ Sam Reed ]
  * New upstream 5.4
  * Set Architecture: linux-any

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Sam Reed <sam@reedyboy.net>  Fri, 27 May 2022 21:46:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: ustreamer
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sam Reed <sam@reedyboy.net>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Sam Reed <sam@reedyboy.net>
+Build-Depends: debhelper-compat (= 13),
   libevent-dev,
   libjpeg-dev,
   uuid-dev,
   libbsd-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://pikvm.org/
 Vcs-Browser: https://salsa.debian.org/reedy/ustreamer
 Vcs-Git: https://salsa.debian.org/reedy/ustreamer.git
 Rules-Requires-Root: no
 
 Package: ustreamer
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Lightweight and fast MJPG-HTTP streamer
  µStreamer is a lightweight and very quick server to stream MJPG video
